Bug 211514 - Error popup, "Unable to locate partition sda1 for /boot"
Error popup, "Unable to locate partition sda1 for /boot"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 15:36 EDT by George R. Goffe
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 16:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2006-10-19 15:36:42 EDT
Description of problem:

I'm trying to have the kickstart process partition drives EXACTLY as I have
specified in my ks.cfg file. I receive an error popup that states, "Unable to
locate partition sda1 for /boot" and the kickstart ends

Version-Release number of selected component (if applicable):

Fedora core 6 test 2.

How reproducible:

See the enclosed ks.cfg file below. The problem happens EVERY time.

Steps to Reproduce:
1. burn a bootable cd with isolinux that contains the ks.cfg file
2. put the cd into another system and boot it
3. hit enter at the main prompt, in less than a minute (after X11 starts) the
popup appears.
  
Actual results:

Error popup.

Expected results:

Partitions layed out as specified IN the exact order specified in the ks.cfg file.

Additional info: Enclosed ks.cfg file

#platform=x86, AMD64, or Intel EM64T
# System authorization information
auth  --useshadow  --enablemd5  --enablenis --nisdomain=northam2.eng
--nisserver=northam2-nis2.cisco.com
# System bootloader configuration
bootloader --location=mbr
# Partition clearing information
clearpart --all
# Use graphical install
graphical
# Firewall configuration
firewall --disabled
# Run the Setup Agent on first boot
firstboot --enable
# System keyboard
keyboard us
# System language
lang en_US
# Installation logging level
logging info
# Use NFS installation media
nfs --server=1.100.30.246 --dir=/rb.exphome/Fedora
# Network information
network --bootproto=static --device=eth0 --gateway=1.100.30.1 --ip=1.100.30.247
--nameserver=171.70.168.183 --netmask=255.255.255.0 --onboot=on
#Root password
rootpw --iscrypted $1$BN3OYWzG$oMzBz0.OOuaDNMDi069F30

# SELinux configuration
selinux --disabled
# System timezone
timezone  America/New_York
# Install OS instead of upgrade
install
# X Window System configuration information
xconfig  --defaultdesktop=KDE --depth=32 --resolution=1280x1024
# Disk partitioning information
part /boot --bytes-per-inode=4096 --fstype="ext3" --onpart=sda1 --size=1024
part / --bytes-per-inode=4096 --fstype="ext3" --onpart=sda2 --size=1024
part swap --bytes-per-inode=4096 --fstype="swap" --onpart=sda3 --size=1024
part /var --bytes-per-inode=4096 --fstype="ext3" --onpart=sda5 --size=1024
part /opt --bytes-per-inode=4096 --fstype="ext3" --onpart=sda6 --size=3072
part /usr --bytes-per-inode=4096 --fstype="ext3" --onpart=sda7 --size=12288
part /home --bytes-per-inode=4096 --fstype="ext3" --grow --onpart=sda8 --size=1

%packages
@base
@dial-up
@gnome-desktop
@admin-tools
@base-x
@kde-desktop
@x-software-development
@printing
@development-libs
@kde-software-development
@sql-server
@java-development
@eclipse
@gnome-software-development
@system-tools
@web-server
@office
@development-tools
@mysql
@authoring-and-publishing
@graphics
@server-cfg
@legacy-software-development
@legacy-software-support
@mail-server
@java
@xen
@graphical-internet
@news-server
@sound-and-video
@smb-server
@text-internet
@ruby
@ftp-server
@dns-server
@editors
@games
@engineering-and-scientific
@legacy-network-server
@network-server
Comment 1 Jeremy Katz 2006-10-19 16:10:45 EDT
You're saying to clear all partitions and then that you want to reuse the
(existing) sda1.  --onpart is "reuse this partition", not "make this this
partition number"
Comment 2 George R. Goffe 2006-10-19 22:23:19 EDT
Jeremy,

Thank you for enlightening me! Really!

I don't think I saw any documentation on this... Anywhere. I could have missed
it  but I've been looking over documentation, off and on, for the past few
weeks. I even downloaded the CVS for anaconda but, alas, I don't write python.

My intent was to clear whatever the existing partitions might be and then
re-establish them as I showed in the ks.cfg file. I don't think how to do that
is documented anywhere either is it?

Thanks for your time, REALLY, thanks!

George...
Comment 3 George R. Goffe 2006-10-20 18:36:54 EDT
Jeremy,

I'm wondering why that other info was present if the concept was "use this
existing partition"? system-config-kickstart generated this file. If it's
generating errors, shouldn't someone address that?

Thanks again,

George...

Note You need to log in before you can comment on or make changes to this bug.